<!--

jQuery.extend(jQuery.validator.messages, {
  required: "Это поле необходимо заполнить",
  remote: "Исправьте это поле чтобы продолжить",
  email: "Введите правильный email адрес.",
  url: "Введите верный URL.",
  date: "Введите правильную дату.",
  dateISO: "Введите правильную дату (ISO).",
  number: "Введите число.",
  digits: "Введите только цифры.",
  creditcard: "Введите правильный номер вашей кредитной карты.",
  equalTo: "Повторите ввод значения еще раз.",
  accept: "Пожалуйста, введите значение с правильным расширением.",
  maxlength: jQuery.format("Нельзя вводить более {0} символов."),
  minlength: jQuery.format("Должно быть не менее {0} символов."),
  rangelength: jQuery.format("Введите от {0} до {1} символов."),
  range: jQuery.format("Введите число от {0} до {1}."),
  max: jQuery.format("Введите число меньше или равное {0}."),
  min: jQuery.format("Введите число больше или равное {0}.")
});

function UpdateJqGrid(grid_id,div_id,shrink){
  if(undefined == shrink){shrink = false;}
  $(window).bind('resize', function() {
    $('#' + grid_id).setGridWidth($('#' + div_id).width(), shrink); //Resized to new width as per window
  }).trigger('resize');
}

function GridPrintReport(jqgridid) {
  var d = new Date();
  var VarDay=d.getDate();
  var VarMonth=d.getMonth()+1;
  var VarYear=d.getFullYear();
  var VarTodayDate = VarDay +"."+ VarMonth +"."+ VarYear;
  $('#'+jqgridid).jqGrid('hideCol','cb');
  var VarTHead='';
  $('#gview_'+jqgridid+' .ui-jqgrid-labels > th:visible').each(function(){VarTHead = VarTHead + '&thead=' + $(this).html().replace(/<\/?[^>]+>/gi, '').replace('&nbsp;', '');});  
  var VarTBody='';
  var VarColspan='';
  var i = 0;
  $("#"+jqgridid+" input[id^='jqg']:checked").each(function() {
    $(this).parent().parent().children().filter("td:visible").each(function(){ 
      VarTBody = VarTBody + '&tbody=' + $(this).html().replace(/<\/?[^>]+>/gi, '').replace('&nbsp;', '').replace(/&/g, "&amp;")
      .replace(/</g, "&lt;")
      .replace(/>/g, "&gt;")
      .replace(/"/g, "&quot;")
      .replace(/'/g, "&#039;")
      .replace(/^\s+|\s+$/g, "");
      if(0<$(this).attr('colspan')){
        VarColspan = VarColspan + '&colspan['+i+']=' + $(this).attr('colspan');
      }
      i++;
    });
  });
    $('<form action="./libs/site/AjaxServer/PrintDocx.ajax.php" method="post"><input type="hidden" name="PrintDocx" value="'+ 'grid=' + jqgridid + VarTHead + VarTBody + VarColspan +'" /></form>')
    .appendTo('body').submit().remove();
  $('#'+jqgridid).jqGrid('showCol','cb');
}

function DialogStandartOpen(VarDivId, VarMess, VarTitle, VarWidth){
  if("undefined" == typeof(VarWidth)){
    VarWidth = "auto";
  }
  if (1 <= $("#"+VarDivId).length){
    $("#"+VarDivId).remove();
  }  
  $("body").prepend('<div id="'+VarDivId+'" style="display: none;"></div>');
  if('' == VarMess){
    VarMess = '-';
  }
  $("#"+VarDivId).html(VarMess);
  $("#"+VarDivId).dialog({
    title: VarTitle,
    autoOpen: true,
    width: VarWidth,
    modal: true,
    buttons: {
      "Закрыть": function() {
        $(this).dialog("destroy");
        $(this).remove();
      }
    },
    close: function(event, ui) {
      $(this).remove();
    }
  });
}

function CreateDivForMessage(VarIdName){
  if('' == VarIdName){
    VarIdName = "DialogMessage";
  }
  if (1 <= $("#"+VarIdName).length){
    $("#"+VarIdName).remove();
  }  
  $("body").prepend('<div id="'+VarIdName+'" style="display:none;"><p class="'+VarIdName+'Icon"><span style="float:left; margin:0 7px 7px 0;"></span><span id="'+VarIdName+'Text">Сообщение!</span></p></div>');
}

function DialogStandartMessageOpen(VarType, VarMess){
  CreateDivForMessage("DialogMessage");
//  if (1 <= $("#DialogMessage").length){
//    $("#DialogMessage").remove();
//  }  
//  $("body").prepend('<div id="DialogMessage" style="display:none;"><p class="DialogMessageIcon"><span style="float:left; margin:0 7px 7px 0;"></span><span id="DialogMessageText">Сообщение!</span></p></div>');
  $("#DialogMessageIcon").addClass("ui-icon");
  if('' == VarType){
    VarType = 'error';
  }
  if('' == VarMess){
    VarMess = 'Неизвестная ошибка!'
  }
  if('error' == VarType){
    VarTitle = 'Ошибка!';
    //$("#DialogMessageIcon").removeClass("ui-icon-info");
    $("#DialogMessageIcon").addClass("ui-icon-alert");
  }
  else if('message' == VarType){
    VarTitle = 'Сообщение!';
    //$("#DialogMessageIcon").removeClass("ui-icon-alert");
    $("#DialogMessageIcon").addClass("ui-icon-info");
  }
  else{
    //$("#DialogMessageIcon").removeClass("ui-icon-info");
    //$("#DialogMessageIcon").removeClass("ui-icon-alert");
    VarTitle = '';
  }
  $("#DialogMessageText").html(VarMess);
  $("#DialogMessage").dialog({
    title: VarTitle,
    autoOpen: true,
    width: 350,
    modal: true,
    buttons: {
      "Закрыть": function() {
        $(this).dialog("close");
      }
    }
  });
}

function AltButtons(){
  $(".AltButtons").button();
}

$(function() {
  AltButtons();
});

$(function() {
  $("#MessageLoading").dialog({
    title: 'Сообщение!',
    autoOpen: false,
    width: 250,
    resizable: true,
    modal: true
  });
});

function GetParamForFlexigrid(VarParam){
  var tmp = new Array();      // два вспомагательных
  var tmp2 = new Array();     // массива
  var param = [];//new Array()
  var get = VarParam;  // строка GET запроса
  if(get != '') {
    tmp = (get.substr(1)).split('&');   // разделяем переменные
    for(var i=0; i < tmp.length; i++) {
      tmp2 = tmp[i].split('=');       // массив param будет содержать
      param[i] = {'name': tmp2[0], 'value': tmp2[1]};
    }
  }
  return param
}


function GetParamForGrid(VarParam){
  var obj = {};
  if(VarParam != '') {
    var hash = VarParam,
      split = hash.split('&');

    for(var i = 0; i < split.length; i++){
      var kv = split[i].split('=');
      obj[kv[0]] = decodeURIComponent(kv[1] ? kv[1].replace(/\+/g, ' ') : kv[1]);
    }
  }
  return obj
}

function GridDatepickerSetParam(VarDatepicker){
  $(VarDatepicker).datepicker({
    changeMonth: true,
    changeYear: true,
    closeText: 'X',
    showButtonPanel: true,
    showStatus: true,
    onSelect: function(dateText, inst) {
      if (this.id.substr(0, 3) === "gs_") {
        setTimeout(function(){
          var VarGridId = $('#'+inst.id).prop("VarGridName");
          $("#"+VarGridId)[0].triggerToolbar();
        }, 50);
      } 
      else {
        $(this).trigger('change');
      }
    }  
  });
}

function RgbToHex(rgb){
  var hex_rgb = rgb.match(/^rgb\((\d+),\s*(\d+),\s*(\d+)\)$/); 
  function hex(x) {return ("0" + parseInt(x).toString(16)).slice(-2);}
  if (hex_rgb) {
    return "#" + hex(hex_rgb[1]) + hex(hex_rgb[2]) + hex(hex_rgb[3]);
  }
  else {
    return rgb;
  }
}
//-->